<?php
// Tableau des codes postaux
$CP = array (
    'CRETEIL'    => 94000,
    'NICE'       => 6000,
    'LA BAULE'   => 44500,
    'STRASBOURG' => 67000);
// Tableau des départements d'appartenance
$DEPT = array (
    'CRETEIL'    => 'Val-de-Marne',
    'NICE'       => 'Alpes-Maritimes',
    'LA BAULE'   => 'Loire-Atlantique',
    'STRASBOURG' => 'Bas-Rhin');
// affichage du tableau
echo '--- Affichage de $CP ---'.PHP_EOL;
foreach($CP as $valeur)
{
 echo "$valeur\t";
}
echo PHP_EOL;
echo "Entrez une donnée à chercher :";
fscanf(STDIN,"%d",$codepostal);
$trouve=false;
// --------------------------------
// boucle de recherche de la valeur
// --------------------------------
foreach($CP as $valeur)
{
 if ($valeur == $codepostal)
 {
   $trouve=true;
 }
}
if ($trouve)
  echo "$codepostal trouvé".PHP_EOL;
else
  echo "$codepostal non trouvé".PHP_EOL;

// affichage du tableau
echo '--- Affichage de $DEPT ---'.PHP_EOL;
foreach($DEPT as $clef => $valeur)
{
 echo "[$clef]:$valeur\t";
}
echo PHP_EOL;

echo "Entrez une clé à chercher :";
$clefrecherche=fgets(STDIN);
// suppression des espaces au début , à la fin et suppression du saut de ligne
$clefrecherche=trim($clefrecherche);
$trouve=false;
// ------------------------------
// boucle de recherche de la clef
// ------------------------------
foreach($DEPT as $clef => $valeur)
{
 if ($clef == $clefrecherche)
 {
   $trouve=true;
 }
}
if ($trouve)
  echo "$clefrecherche trouvé".PHP_EOL;
else
  echo "$clefrecherche non trouvé".PHP_EOL;
?>